TEMPLATE = app
TARGET = libremediaserver-audio
QT += webkitwidgets widgets
HEADERS += src/libremediaserver-audio.h \
    src/medialibrary.h \
    src/olathread.h \
    src/audiolayerwidget.h \
    src/dmxPersonality.h \
    src/audiowidget.h \
    src/audiomasterwidget.h \
    src/defines.h \
    src/settings.h \
    src/settingsdialog.h \
    src/layersettingswidget.h
SOURCES += src/main.cpp \
    src/libremediaserver-audio.cpp \
    src/medialibrary.cpp \
    src/olathread.cpp \
    src/audiolayerwidget.cpp \
    src/audiowidget.cpp \
    src/audiomasterwidget.cpp \
    src/settings.cpp \
    src/settingsdialog.cpp \
    src/layersettingswidget.cpp
FORMS += src/libremediaserver-audio.ui \
    src/settingsdialog.ui \
    src/layersettingswidget.ui
LIBS += -lola -lolacommon
# -lcitp
LIBS += -L$$PWD/SFML/lib/ -lsfml-audio -lsfml-system
INCLUDEPATH += $$PWD/SFML/include
DEPENDPATH += $$PWD/SFML/include
PRE_TARGETDEPS += $$PWD/SFML/lib/libsfml-audio.so $$PWD/SFML/lib/libsfml-system.so
OTHER_FILES += \
    LICENSE.txt \
    docs/compiling.txt \
    docs/changelog.txt \
    docs/lms-audio.xlm \
    docs/roadmap.txt
